Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class XMLStructureLoader

    java.lang.Object
      SEdit.XMLStructureLoader

    public class XMLStructureLoader

extends java.lang.Object

Field Summary
`protected Formalism` | `formalism`
`protected StructureAgent` | `master`
`protected SEdit.Namespace` | `nm`
`protected Structure` | `structure`

Constructor Summary
`XMLStructureLoader(StructureAgent s)`

Method Summary
`boolean` | `getInsertMode()` Get the value of insertMode.
`Structure` | `integrate(Structure s, Document document)` Integrate an existing DOM into a given structure
`static void` | `main(java.lang.String[] argv)`
`Structure` | `parse(java.lang.String uri, Structure s)` Parses the resulting document tree.
`static java.lang.String` | `parseFormalismName(java.lang.String uri)`
`void` | `setInsertMode(boolean v)` Set the value of insertMode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### structure

    protected Structure structure

### formalism

    protected Formalism formalism

### master

    protected StructureAgent master

### nm

    protected SEdit.Namespace nm

Constructor Detail

### XMLStructureLoader

    public XMLStructureLoader(StructureAgent s)

Method Detail

### getInsertMode

    public boolean getInsertMode()

  Get the value of insertMode.

  Returns:
    Value of insertMode.

### setInsertMode

    public void setInsertMode(boolean v)

  Set the value of insertMode.

  Parameters:
    `v` - Value to assign to insertMode.

### parse

    public Structure parse(java.lang.String uri,
                           Structure s)

  Parses the resulting document tree.

### integrate

    public Structure integrate(Structure s,
                               Document document)

  Integrate an existing DOM into a given structure

### parseFormalismName

    public static java.lang.String parseFormalismName(java.lang.String uri)

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.